curl --request POST \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f/verify" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
--header "Content-Type: application/json" \
--data '{
"verification_code": "123456"
}'
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import VerifyChannelApiV1NotificationsChannelsChannelIdVerifyPostRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.notifications.verify_channel(
request=VerifyChannelApiV1NotificationsChannelsChannelIdVerifyPostRequest(
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
verification_code="123456",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import VerifyChannelApiV1NotificationsChannelsChannelIdVerifyPostRequest
async def verify_channel():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.notifications.verify_channel_async(
request=VerifyChannelApiV1NotificationsChannelsChannelIdVerifyPostRequest(
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
verification_code="123456",
)
)
print(response)
asyncio.run(verify_channel())
{}
Notification
Verify notification channel
Verify a notification channel using a verification code.
POST
/
api
/
v1
/
notifications
/
channels
/
{channel_id}
/
verify
curl --request POST \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f/verify" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
--header "Content-Type: application/json" \
--data '{
"verification_code": "123456"
}'
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import VerifyChannelApiV1NotificationsChannelsChannelIdVerifyPostRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.notifications.verify_channel(
request=VerifyChannelApiV1NotificationsChannelsChannelIdVerifyPostRequest(
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
verification_code="123456",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import VerifyChannelApiV1NotificationsChannelsChannelIdVerifyPostRequest
async def verify_channel():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.notifications.verify_channel_async(
request=VerifyChannelApiV1NotificationsChannelsChannelIdVerifyPostRequest(
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
verification_code="123456",
)
)
print(response)
asyncio.run(verify_channel())
{}
Email channels require verification. A 6-digit verification code is sent to the recipient email address when the channel is created. Webhook channels do not require verification.For more information, see Verify the email channel.
Path parameters
The unique identifier of the notification channel to verify.
Body
The 6-digit verification code sent to the recipient email address during channel creation.
curl --request POST \
--url "${UNSTRUCTURED_API_URL}/api/v1/notifications/channels/c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f/verify" \
--header "unstructured-api-key: ${UNSTRUCTURED_API_KEY}" \
--header "Content-Type: application/json" \
--data '{
"verification_code": "123456"
}'
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import VerifyChannelApiV1NotificationsChannelsChannelIdVerifyPostRequest
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = client.notifications.verify_channel(
request=VerifyChannelApiV1NotificationsChannelsChannelIdVerifyPostRequest(
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
verification_code="123456",
)
)
print(response)
import asyncio
import os
from unstructured_client import UnstructuredClient
from unstructured_client.models.operations import VerifyChannelApiV1NotificationsChannelsChannelIdVerifyPostRequest
async def verify_channel():
client = UnstructuredClient(
api_key_auth=os.getenv("UNSTRUCTURED_API_KEY"),
server_url=os.getenv("UNSTRUCTURED_API_URL"),
)
response = await client.notifications.verify_channel_async(
request=VerifyChannelApiV1NotificationsChannelsChannelIdVerifyPostRequest(
channel_id="c1d2e3f4-5a6b-7c8d-9e0f-1a2b3c4d5e6f",
verification_code="123456",
)
)
print(response)
asyncio.run(verify_channel())
{}
Was this page helpful?
⌘I

